class Gene:
    ''' Class representing a gene anotated in GO - Gene can only be leaves, so no outgoing edges are allowed'''

    id=None # go identifier
    acc=None # Locus Link indetifier of the gene
    synonym = [] # additional identifiers of the genes (not used yet)
    name=None # node name
    type=None # type of the object


    def __init__(self,id,acc,name,type,synonym=[]):
        self.id=id
        self.acc=acc
        self.name=name
        self.type=type
        self.synonym = synonym


    def toString(self):
        print self.id, self.acc, self.name

    def __print__(self,file):
        file.write(self.acc)
